#ugly hack
%define _noVersionedDependencies 1

Summary: The PHP4 HTML-embedded scripting language for use with Apache.
Name: mod_php4
Version: 4.0.6
Release: 9tr
Group: Network/Services
Source0: http://www.php.net/distributions/php-%{version}.tar.gz
Source1: php.ini
Patch0: php-4.0.6-memlimit.diff
Patch1: php-4.0.6-mailsecurity2.patch
Patch2: rfc1867.c.diff-4.0.6
Patch3: rfc1867.c.diff-4.0.6-second.attempt
License: GPL
BuildRoot: /var/tmp/%{name}-root
Requires: webserver, gmp, openssl, bzip2, zlib, rpm >= 3.0.6
Obsoletes: mod_php3
BuildRequires: postgresql-devel mysql-devel imap-devel apache-devel zlib-devel openldap-devel gmp-devel
Provides: php = %{version}
Provides: mod_php4-imap

%description
PHP is an HTML-embedded scripting language.  PHP attempts to make it
easy for developers to write dynamically generated web pages.  PHP
also offers built-in database integration for several commercial
and non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple.  The most
common use of PHP coding is probably as a replacement for CGI
scripts.  The mod_php module enables the Apache web server to
understand and process the embedded PHP language in web pages.

#%package imap
#Summary: IMAP/PHP4 support
#Group: Network/Services
#Requires: imap openssl
#%description imap
#IMAP support module for PHP4

#Uncomment "extension=imap.so" in order to activate this module

%package ldap
Summary: LDAP/PHP4 support
Group: Network/Services
Requires: openldap-devel mod_php4
%description ldap
LDAP support module for PHP4

Uncomment "extension=ldap.so" in order to activate this module

%package mysql
Summary: MySQL/PHP4 support
Group: Network/Services
Requires: mysql-shared zlib-devel mod_php4
%description mysql
MySQL support module for PHP4

Uncomment "extension=mysql.so" in order to activate this module

%package pgsql
Summary: PostgreSQL/PHP4 support
Group: Network/Services
Requires: postgresql mod_php4
%description pgsql
PostgreSQL support module for PHP4

Uncomment "extension=pgsql.so" in order to activate this module
  
%prep
%setup -q -n php-%{version}
pushd Zend
%patch0 -p0
popd
%patch1 -p1
pushd main
%patch2 -p0
popd
%patch3 -p0 -b .fixfix

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--with-apxs=/usr/sbin/apxs \
	--with-config-file-path=/etc/httpd \
	--with-regex=system \
	--with-exec-dir=/usr/bin \
	--enable-safe-mode \
        --enable-debugger \
        --enable-magic-quotes \
        --enable-track-vars \
	--enable-memory-limit \
	--enable-ftp \
	--disable-debug \
	--disable-rpath \
	--with-bz2 \
	--with-gmp \
	--with-zlib=/usr \
	--with-imap-ssl \
	--with-imap=static,/usr \
	--with-ldap=shared,/usr \
	--with-mysql=shared,/usr \
	--with-pgsql=shared,/usr \
	--with-openssl=shared,/usr

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
mkdir -p $RPM_BUILD_ROOT/etc/httpd
mkdir -p $RPM_BUILD_ROOT/usr/share/php4/
install -s -m 755 .libs/libphp4.so $RPM_BUILD_ROOT/usr/lib/apache

strip modules/*.so
cp modules/*.so $RPM_BUILD_ROOT/usr/share/php4/

install -m 644 $RPM_SOURCE_DIR/php.ini $RPM_BUILD_ROOT/etc/httpd/php.ini

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/apache/libphp4.so
%config(noreplace) /etc/httpd/php.ini
%doc CODING_STANDARDS CREDITS LICENSE
%doc manual/*

#%files imap
#/usr/share/php4/imap.so

%files ldap
/usr/share/php4/ldap.so

%files mysql
/usr/share/php4/mysql.so

%files pgsql
/usr/share/php4/pgsql.so

%changelog
* Mon Mar 25 2002 Christian H. Toldnes <christht@trustix.com>
- The old rfc1867.c didn't fix it. Applied a new patch.

* Thu Feb 28 2002 Christian H. Toldnes <christht@trustix.com>
- Applied securitypatch. (rfc1867.c)

* Wed Sep 26 2001 Erlend Midttun <erlendbm@trustix.com>
- Seems the previous mailsec patch was broken, trying again.

* Thu Jul 26 2001 Erlend Midttun <erlendbm@trustix.com>
- Fixed a few dependencies.

* Thu Jul 19 2001 Oystein Viggen <oysteivi@trustix.com>
- Add a fix from cvs to stop mail() from breaking safe mode.

* Mon Jul 16 2001 Oystein Viggen <oysteivi@trustix.com>
- 4.0.6 didn't fix memlimit.  Added patch from the php team.

* Mon Jul  9 2001 Oystein Viggen <oysteivi@trustix.com>
- Because of build problems, imap is no longer built as a module.

* Tue Jul  3 2001 Oystein Viggen <oysteivi@trustix.com>
- define _noVersionedDependencies

* Mon Jul  2 2001 Oystein Viggen <oysteivi@trustix.com>
- New upstream version: 4.0.6
- This new version fixes a bug with --enable-memory-limit

* Mon Jun 11 2001 Oystein Viggen <oysteivi@trustix.com>
- New upstream version: 4.0.5

* Mon Mar 19 2001 Alexander Reelsen <ar@trustix.com>
- Picked up 4.0.4pl1
- Created dynamic modules (and own packages) for imap, ldap, mysql and pgsql

* Wed Oct 18 2000 Per Ivar Paulsen <perp@trustix.com>
- Update to 3.0.17. Removed syslog patch

* Wed May 3 2000 Per Ivar Paulsen <perp@trustix.com>
- Update to php 3.0.16

* Sat Feb 26 2000 Lars Gaarden <larsg@trustix.com>
- Picked up php 3.0.15

* Fri Feb 25 2000 Lars Gaarden <larsg@trustix.com>
- Added Provides: php

* Tue Jan 25 2000 Per Ivar Paulsen <perp@trustix.com>
- picked up php 3.0.14.
- Initial release for the Trustix Secure Linux distribution.
- Added noreplace.
- Moved man and info pages to /usr/share adhering to FHS
- TODO: add better default configuration

* Wed Jan 6 2000 Per Ivar Paulsen <perp@paulsen.org>
- picked up php 3.0.13. And updated manual

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- pick up php3.ini

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- build against apache 1.3.6

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.7.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgrade to php 3.0.6, built against apache 1.3.4

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- rebuild for apache 1.3.3

* Thu Oct 08 1998 Preston Brown <pbrown@redhat.com>
- updated to 3.0.5, fixes nasty bugs in 3.0.4.

* Sun Sep 27 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.0.4 and recompiled for apache 1.3.2

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- improvements; builds with apache-devel package installed.

* Tue Sep 01 1998 Preston Brown <pbrown@redhat.com>
- Made initial cut for PHP3.
